import { Base, Nullable$1, Type } from "igniteui-angular-core";
import { XmlPartManagerBase } from "./XmlPartManagerBase";
/**
 * @hidden
 */
export declare class CT_BlurEffect extends Base {
    static $t: Type;
    private f;
    private d;
    constructor();
    e: Nullable$1<number>;
    c: Nullable$1<boolean>;
    static h(a: XmlPartManagerBase, b: Nullable$1<number>, c: Nullable$1<boolean>): {
        p1: Nullable$1<number>;
        p2: Nullable$1<boolean>;
    };
    static i(a: XmlPartManagerBase, b: string, c?: Nullable$1<boolean>, d?: Nullable$1<number>): void;
    toString(): string;
}
